﻿using Wisej.Core;
using Wisej.Web;

namespace Wisej.ClientKeyboardHandling
{
	public class MyTextBox2 : TextBox
	{
		public override void Update()
		{
			base.Update();

			// attach and re-attach the event on a refresh.
			if (((IWisejComponent)this).IsNew)
				RunJavaScriptCode();
		}

		private void RunJavaScriptCode()
		{
			this.Eval(@"
				this.addListener('keypress', function(e) {

					// see http://www.qooxdoo.org/5.1/api/#qx.ui.core.Widget~keypress!event

					var key = e.getKeyIdentifier();
					if (key == 'A')
						e.stop();
				});
			");
		}

	}
}