﻿

qx.Class.define("my.TextBox", {

	extend: wisej.web.TextBox,

	construct: function () {

		this.base(arguments);

		this.addListener("keypress", this.__onKeyPressHandler, this);
	},

	members: {

		// handler for the keypress event.
		__onKeyPressHandler: function (e) {

			// see: http://www.qooxdoo.org/5.1/api/#qx.ui.core.Widget~keypress!event

			var key = e.getKeyIdentifier();
			if (key == "A")
				e.stop();

		},

	}

});